#
# spec file for package python-uritools
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-uritools
Version:        4.0.3
Release:        1.2
Summary:        URI parsing, classification and composition
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/tkem/uritools/
Source:         https://files.pythonhosted.org/packages/source/u/uritools/uritools-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
URI parsing, classification and composition.

%prep
%setup -q -n uritools-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v

%files %{python_files}
%doc CHANGELOG.rst README.rst
%license LICENSE
%{python_sitelib}/uritools
%{python_sitelib}/uritools-%{version}.dist-info

%changelog
* Mon Jun 10 2024 Dirk Müller <dmueller@suse.com>
- update to 4.0.3:
  * Prepare for Python 3.13.
- use PEP 517 build
* Mon Dec  4 2023 Dirk Müller <dmueller@suse.com>
- update to 4.0.2:
  * Depend on Python >= 3.7.
  * Support Python 3.12.
  * Add support for Python 3.11.
  * Correct version information in RTD documentation.
* Tue Oct 11 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 4.0.0
  * Require Python 3.7 or later (breaking change).
  * Remove undocumented submodules (breaking change).
    The chars, classify, compose, defrag, encoding, join and split submodules have been deleted. Therefore, statements like
    from uritools.classify import isuri
    will no longer work. Use
    from uritools import isuri instead.
* Thu Jun  3 2021 pgajdos@suse.com
- version update to 3.0.2
  * Update build environment.
  * Do not convert percent-encodings to uppercase in host components
    generated by ``uricompose()``.
  * Officially support Python 3.9.
  * Format code with Black.
* Thu Dec 26 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v3.0.0
